
.reveal * {
    opacity: 0;
    animation-fill-mode: forwards;
    --translate-dist: 20px;
}
.reveal.strict {
    opacity: 0;
    animation-fill-mode: forwards;
    --translate-dist: 20px;
}
.reveal.strict * {
    opacity: 1;
}
.reveal.long {
    --translate-dist: 200px;
    transition-duration: 1s;
}
.reveal.blur {
    --blur: 10px;
}


.anim {
    --delay: .25s;
}
.anim > *:nth-child(1) {
    animation-delay: calc(var(--delay) * 0);
}
.anim > *:nth-child(2) {
    animation-delay: calc(var(--delay) * 1);
}
.anim > *:nth-child(3) {
    animation-delay: calc(var(--delay) * 2);
}
.anim > *:nth-child(4) {
    animation-delay: calc(var(--delay) * 3);
}
.anim > *:nth-child(5) {
    animation-delay: calc(var(--delay) * 4);
}
.anim > *:nth-child(6) {
    animation-delay: calc(var(--delay) * 5);
}
.anim > *:nth-child(7) {
    animation-delay: calc(var(--delay) * 6);
}
.anim > *:nth-child(8) {
    animation-delay: calc(var(--delay) * 7);
}
.anim > *:nth-child(9) {
    animation-delay: calc(var(--delay) * 8);
}
.anim > *:nth-child(10) {
    animation-delay: calc(var(--delay) * 9);
}

.anim-recur {
    --delay: .25s;
}
.anim-recur *:nth-child(1) {
    animation-delay: calc(var(--delay) * 0);
}
.anim-recur *:nth-child(2) {
    animation-delay: calc(var(--delay) * 1);
}
.anim-recur *:nth-child(3) {
    animation-delay: calc(var(--delay) * 2);
}
.anim-recur *:nth-child(4) {
    animation-delay: calc(var(--delay) * 3);
}
.anim-recur *:nth-child(5) {
    animation-delay: calc(var(--delay) * 4);
}
.anim-recur *:nth-child(6) {
    animation-delay: calc(var(--delay) * 5);
}
.anim-recur *:nth-child(7) {
    animation-delay: calc(var(--delay) * 6);
}
.anim-recur *:nth-child(8) {
    animation-delay: calc(var(--delay) * 7);
}
.anim-recur *:nth-child(9) {
    animation-delay: calc(var(--delay) * 8);
}
.anim-recur *:nth-child(10) {
    animation-delay: calc(var(--delay) * 9);
}

.anim.delay-100-ms {
    animation-delay: .2s;
}


/* Fade In */
@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
.fadeIn {
    animation-name: fadeIn;
    animation-duration: .75s;
    animation-timing-function: ease;
}
.fadeIn * {
    animation-name: fadeIn;
    animation-duration: .75s;
    animation-timing-function: ease;
}
.fadeIn.strict {
    animation-name: fadeIn;
    animation-duration: .75s;
    animation-timing-function: ease;
}
.fadeIn.strict * {
    animation-name: none;
}

@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(calc(-1 * var(--translate-dist)));
        filter: blur(var(--blur));
    }
    100% {
        opacity: 1;
        transform: translateY(0px);
        filter: blur(0px);
    }
}
.fadeInUp * {
    animation-name: fadeInUp;
    animation-duration: .75s;
    animation-timing-function: ease;
}
.fadeInUp.strict {
    animation-name: fadeInUp;
    animation-duration: .75s;
    animation-timing-function: ease;
}
.fadeInUp.strict * {
    animation-name: none;
}

@keyframes fadeInRight {
    0% {
        opacity: 0;
        transform: translateX(var(--translate-dist));
        filter: blur(var(--blur));
    }
    100% {
        opacity: 1;
        transform: translateX(0px);
        filter: blur(0px);
    }
}
.fadeInRight * {
    animation-name: fadeInRight;
    animation-duration: .75s;
    animation-timing-function: ease;
}
.fadeInRight.strict {
    animation-name: fadeInRight;
    animation-duration: .75s;
    animation-timing-function: ease;
}
.fadeInRight.strict * {
    animation-name: none;
}

@keyframes fadeInDown {
    0% {
        opacity: 0;
        transform: translateY(var(--translate-dist));
        filter: blur(var(--blur));
    }
    100% {
        opacity: 1;
        transform: translateY(0px);
        filter: blur(0px);
    }
}
.fadeInDown * {
    animation-name: fadeInDown;
    animation-duration: .75s;
    animation-timing-function: ease;
}
.fadeInDown.strict {
    animation-name: fadeInDown;
    animation-duration: .75s;
    animation-timing-function: ease;
}
.fadeInDown.strict * {
    animation-name: none;
}

@keyframes fadeInLeft {
    0% {
        opacity: 0;
        transform: translateX(calc(-1 * var(--translate-dist)));
        filter: blur(var(--blur));
    }
    100% {
        opacity: 1;
        transform: translateX(0px);
        filter: blur(0px);
    }
}
.fadeInLeft * {
    animation-name: fadeInLeft;
    animation-duration: .75s;
    animation-timing-function: ease;
}
.fadeInLeft.strict {
    animation-name: fadeInLeft;
    animation-duration: .75s;
    animation-timing-function: ease;
}
.fadeInLeft.strict * {
    animation-name: none;
}


/* SPIN */
@keyframes spinText {
    0% {
        transform: translate(35px, 95px) rotate(0deg);
    }
    100% {
        transform: translate(35px, 95px) rotate(360deg);
    }
}
@keyframes spin {
    0% {
        transform: rotate(360deg);
    }
    100% {
        transform:  rotate(0deg);
    }
}
.spin {
    animation-name: spin;
    animation-duration: 10s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
.spin.rev {
    animation-direction: reverse;
}

/* PULSE */
.pulse {
    animation-name: pulse !important;
    animation-iteration-count: infinite;
    animation-play-state: running;
    animation-duration: 20s;
    animation-fill-mode: both;
    animation-timing-function: ease-in;
}
@keyframes pulse {
    0% {
        transform: scale(.8);
    }
    50% {
        transform: scale(1.5);
    }
    100% {
        transform: scale(.8);
    }
}

/* BOB */
@keyframes bob {
    0% {
        transform: translateY(0px);
    }
    20% {
        transform: translateY(-5px);
    }
    40% {
        transform: translateY(0px);
    }
    100% {
        transform: translateY(0px);
    }
}
@keyframes bob-45deg {
    0% {
        transform: translateY(0px) rotate(45deg);
    }
    20% {
        transform: translateY(-5px) rotate(45deg);
    }
    40% {
        transform: translateY(0px) rotate(45deg);
    }
    100% {
        transform: translateY(0px) rotate(45deg);
    }
}

.bck-fadeIn {
    animation-name: backgrFadeIn;
    color: #FFF!important;
    animation-duration: .75s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
}
@keyframes backgrFadeIn {
    0% {
        background-color: white;
    }
    100% {
        background-color: var(--azul-c);
    }
}

.bck-fadeIn-2 {
    animation-name: backgrFadeIn-2;
    animation-duration: .75s;
    color: #FFF!important;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
}
@keyframes backgrFadeIn-2 {
    0% {
        background-color: white;
    }
    100% {
        background-color: var(--azul-o);
    }
}

.inside {
    position: relative;
}
.drawing .box {
    position: absolute;
    top: 3px;
    left: -17.5px;
    right: 0;
    bottom: 0;
    width: 15px;
    height: 15px;
    background-color: #3996E2;
    opacity: 0;
}

.drawing .box-stroke-1 {
    position: absolute;
    right: -20px;
    top: -20px;
    width: 60px;
    height: 60px;
    opacity: 0;
    background-color: transparent;
    border: 5px solid #3996E2;

}

.drawing .box-stroke-2 {
    position: absolute;
    right: -200px;
    top: -83px;
    width: 300px;
    height: 300px;
    background-color: transparent;
    transform: scale(1.2);

}

.drawing .box-stroke-2-5 {
    position: absolute;
    right: -85px;
    top: -195px;
    width: 300px;
    height: 300px;
    background-color: transparent;

}

.drawing .box-stroke-3 {
    position: absolute;
    right: -103px;
    top: -100px;
    width: 350px;
    height: 350px;
    background-color: transparent;
}

.drawing .line {
    position: absolute;
    right: 101px;
    bottom: 31px;
    width: 5px;
    height: 120px;
    opacity: 0;
    background-color: #3996E2;
}

.drawing .line-2 {
    position: absolute;
    right: -31px;
    bottom: 94px;
    width: 5px;
    height: 120px;
    opacity: 0;
    background-color: #3996E2;
}

.drawing .line-3 {
    position: absolute;
    left: 98px;
    bottom: 26px;
    width: 5px;
    height: 60px;
    opacity: 0;
    background-color: #3996E2;
}

.drawing .line-4 {
    position: absolute;
    left: 121px;
    bottom: 3px;
    width: 5px;
    height: 45px;
    opacity: 0;
    background-color: #3996E2;
}

.drawing .line-5 {
    position: absolute;
    left: 84px;
    bottom: -179px;
    width: 5px;
    height: 105px;
    opacity: 0;
    background-color: #3996E2;
}

.drawing .line-6 {
    position: absolute;
    left: 62px;
    bottom: -281px;
    width: 5px;
    height: 105px;
    opacity: 0;
    background-color: #3996E2;
}

.drawing .line-7 {
    position: absolute;
    right: 40px;
    bottom: -158px;
    width: 5px;
    height: 45px;
    opacity: 0;
    background-color: #3996E2;
}

.drawing .line-8 {
    position: absolute;
    right: 51px;
    bottom: -215px;
    width: 5px;
    height: 115px;
    opacity: 0;
    background-color: #3996E2;
}

.drawing .line-9 {
    position: absolute;
    right: 59px;
    bottom: -176px;
    width: 5px;
    height: 55px;
    opacity: 0;
    background-color: #3996E2;
}

.drawing .box-line {
    position: absolute;
    right: 99px;
    bottom: 127px;
    width: 10px;
    height: 10px;
    opacity: 0;
    background-color: #3996E2;

    animation-name: bob-45deg;
    animation-duration: 2s;
    animation-play-state: running;
    animation-iteration-count: infinite;
}

.drawing .box-line-2 {
    position: absolute;
    right: 99px;
    bottom: 127px;
    width: 10px;
    height: 10px;
    opacity: 0;
    background-color: #3996E2;

    animation-name: bob-45deg;
    animation-duration: 2s;
    animation-delay: .2s;
    animation-play-state: running;
    animation-iteration-count: infinite;
}

.drawing .box-line-3 {
    position: absolute;
    right: 99px;
    bottom: 127px;
    width: 10px;
    height: 10px;
    opacity: 0;
    background-color: #3996E2;

    animation-name: bob-45deg;
    animation-duration: 2s;
    animation-delay: .4s;
    animation-play-state: running;
    animation-iteration-count: infinite;
}

.drawing .box-line-4 {
    position: absolute;
    left: 95px;
    bottom: 95px !important;
    width: 10px;
    height: 10px;
    opacity: 0;
    background-color: #3996E2;

    animation-name: bob-45deg;
    animation-duration: 2s;
    animation-delay: .4s;
    animation-play-state: running;
    animation-iteration-count: infinite;
}

.drawing .box-line-5 {
    position: absolute;
    left: 59px;
    top: 115px;
    width: 10px;
    height: 10px;
    opacity: 0;
    background-color: #3996E2;

    animation-name: bob-45deg;
    animation-duration: 2s;
    animation-delay: .4s;
    animation-play-state: running;
    animation-iteration-count: infinite;
}

.drawing .box-line-6 {
    position: absolute;
    left: 59px;
    top: 115px;
    width: 10px;
    height: 10px;
    opacity: 0;
    background-color: #3996E2;
}

.drawing .box-outer {
    position: absolute;
    right: 180px;
    bottom: 100px;
    width: 50px;
    height: 50px;
    opacity: 0;
    border: 5px solid #3996E2;
}

.drawing .box-outer-2 {
    position: absolute;
    left: 160px;
    bottom: 203px;
    width: 70px;
    height: 70px;
    opacity: 0;
    border: 5px solid #3996E2;
}

.drawing .box-outer-3 {
    position: absolute;
    left: 140px;
    top: 28px;
    width: 50px;
    height: 50px;
    opacity: 0;
    border: 5px solid #3996E2;
}

.drawing .box-outer-4 {
    position: absolute;
    right: 110px;
    top: 73px;
    width: 60px;
    height: 60px;
    opacity: 0;
    background-color: #3996E2;
}
.drawing-2 {
    position: relative;
    width: 20px;
    height: 20px;
}
.drawing-2 .circle {
    position: absolute;
    top: -16px;
    left: -19px;
    width: 60px;
    height: 60px;
    border-radius: 70px;
    opacity: 0;
    background-color: #AFD82E;
}

.drawing-2 .semi-circle {
    position: absolute;
    top: -37px;
    right: -42px;
    width: 100px;
    fill: none;
    stroke: #AFD82E;
    stroke-width: 7;
    opacity: 0;
    stroke-miterlimit: 10;
}

.drawing-2 .circle-small {
    position: absolute;
    top: -176px;
    right: 88px;
    width: 60px;
    height: 60px;
    border-radius: 70px;
    opacity: 0;
    background-color: #AFD82E;
}

.drawing-2 .semi-circle-small {
    position: absolute;
    top: -176px;
    right: 88px;
    width: 60px;
    fill: none;
    stroke: #AFD82E;
    stroke-width: 7;
    opacity: 0;
    stroke-miterlimit: 10;
}

.drawing-2 .dotted-circle {
    position: absolute;
    top: -101px;
    right: -105px;
    width: 230px;
    fill: none;
    stroke: #AFD82E;
    stroke-width: 4;
    stroke-miterlimit: 10;
    stroke-dasharray: 60, 15;
}

.drawing-2 .circle-1 {
    position: absolute;
    top: -116px;
    right: -120px;
    width: 260px;
    height: 260px;
    border-radius: 250px;
    background: transparent;
    opacity: 0;
    border: 5px solid #AFD82E;
}

.drawing-2 .circle-2 {
    position: absolute;
    top: 83px;
    right: -153px;
    width: 150px;
    height: 150px;
    border-radius: 250px;
    background: transparent;
    opacity: 0;
    border: 4px solid #AFD82E;
}

.drawing-2 .circle-3 {
    position: absolute;
    top: 218px;
    right: 40px;
    width: 70px;
    height: 70px;
    opacity: 0;
    border-radius: 250px;
    background: transparent;
    border: 3px solid #AFD82E;
}

.drawing-2 .circle-4 {
    position: absolute;
    top: 238px;
    right: 60px;
    width: 30px;
    height: 30px;
    border-radius: 250px;
    opacity: 0;
    background-color: #AFD82E;
}

.drawing-2 .circle-5 {
    transform: scale(0.8);
    position: absolute;
    top: -23px;
    left: -268px;
    width: 150px;
    height: 150px;
    border-radius: 250px;
    background: transparent;
    opacity: 0;
    border: 10px solid #AFD82E;
}

.drawing-2 .semi-circle-1 {
    transform: scale(0.7);
    position: absolute;
    top: -53px;
    left: 114px;
    fill: none;
    stroke-width: 3;
    stroke-miterlimit: 10;
    width: 70px;
    stroke: #AFD82E;
    opacity: 0;
}

.drawing-2 .semi-circle-2 {
    transform: scale(0.7);
    position: absolute;
    top: 170px;
    left: -130px;
    fill: #AFD82E;
    stroke-width: 3;
    stroke-miterlimit: 10;
    width: 70px;
    opacity: 0;
}

.drawing-2 .semi-circle-3 {
    position: absolute;
    top: 146px;
    left: -130px;
    fill: none;
    stroke: #AFD82E;
    stroke-width: 3.2388;
    stroke-miterlimit: 10;
    width: 70px;
    opacity: 0;
}

.drawing-2 .semi-circle-4 {
    transform: scale(0.8);
    position: absolute;
    top: -33px;
    left: -229px;
    fill: #AFD82E;
    stroke-width: 3;
    stroke-miterlimit: 10;
    width: 70px;
    opacity: 0;
}


.drawing-2 .circle-line-1-0 {
    position: absolute;
    right: -93px;
    top: 221px;
    width: 20px;
    height: 20px;
    border-radius: 20px;
    opacity: 0;
    background-color: #AFD82E;

    transform-origin: 10% -310%;
}

.drawing-2 .circle-line-1-1 {
    position: absolute;
    right: -205px;
    top: 30px;
    width: 15px;
    height: 15px;
    border-radius: 15px;
    opacity: 0;
    background-color: #AFD82E;

    animation-name: bob;
    animation-duration: 2s;
    animation-play-state: running;
    animation-iteration-count: infinite;
}

.drawing-2 .circle-line-1-2 {
    position: absolute;
    right: -205px;
    top: 74px;
    width: 15px;
    height: 15px;
    border-radius: 15px;
    opacity: 0;
    background-color: #AFD82E;

    animation-name: bob;
    animation-duration: 2s;
    animation-delay: .2s;
    animation-play-state: running;
    animation-iteration-count: infinite;
}

.drawing-2 .circle-line-1-3 {
    position: absolute;
    right: -205px;
    top: 93px;
    width: 15px;
    height: 15px;
    border-radius: 15px;
    opacity: 0;
    background-color: #AFD82E;

    animation-name: bob;
    animation-duration: 2s;
    animation-delay: .4s;
    animation-play-state: running;
    animation-iteration-count: infinite;
}

.drawing-2 .circle-line-1-4 {
    position: absolute;
    right: -205px;
    top: 93px;
    width: 15px;
    height: 15px;
    border-radius: 15px;
    opacity: 0;
    background-color: #AFD82E;

    animation-name: bob;
    animation-duration: 2s;
    animation-delay: .6s;
    animation-play-state: running;
    animation-iteration-count: infinite;
}

.drawing-2 .circle-line-3-1 {
    position: absolute;
    right: 208px;
    top: 35px;
    width: 15px;
    height: 15px;
    border-radius: 15px;
    opacity: 0;
    background-color: #AFD82E;

    animation-name: bob;
    animation-duration: 2s;
    animation-delay: .6s;
    animation-play-state: running;
    animation-iteration-count: infinite;
}

